package com.dgtis.dorm.manager.db.domain;

import net.sf.json.JSON;

import java.time.LocalDateTime;

public class ApproveHistory {

    private int id;
    private int userId;
    private LocalDateTime createDate;
    private String createBy;
    private JSON userInfo;
    private String comments;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public LocalDateTime getCreateDate() {
        return createDate;
    }

    public void setCreateDate(LocalDateTime createDate) {
        this.createDate = createDate;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public JSON getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(JSON userInfo) {
        this.userInfo = userInfo;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }
}
